var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import classnames from 'classnames';
import ExpandMore from '@mui/icons-material/ExpandMore';
import { SmallIconButtonWithTooltip } from '../SmallIconButton';
import { useStyles } from './styles';
export var CollapseButton = function (_a) {
    var _b;
    var _c = _a.isOpen, isOpen = _c === void 0 ? false : _c, tooltipTitle = _a.tooltipTitle, otherProps = __rest(_a, ["isOpen", "tooltipTitle"]);
    var styles = useStyles();
    var buttonProps = {
        icon: ExpandMore,
        className: styles.collapseButton,
        iconClassName: classnames((_b = {}, _b[styles.expandLess] = isOpen, _b))
    };
    var tooltipProps = {
        tooltipTitle: tooltipTitle
    };
    return (React.createElement(SmallIconButtonWithTooltip, __assign({ "data-reltio-id": "collapse-button" }, buttonProps, tooltipProps, otherProps)));
};
